Page MenuHomePhabricator

2018 Week 37 Bonus Content
Closed, ResolvedPublic

Description

See PHI847, which requests better logging from RepositoryOperation. A RepositoryOperationLog is likely reasonable.

See https://discourse.phabricator-community.org/t/cant-see-commits-at-a-newly-created-phabricator/1869/10. Some of the documentation has unpublished itself.

See PHI841, which would like author and committer information exposed via diffusion.commit.search.

See PHI851. diffusion.commit.search should accept string constants (not numeric constants) for the statuses constraint.

See PHI871, which requests better accessibility section headers.

Event Timeline

epriestley triaged this task as Normal priority.Sep 8 2018, 1:05 AM
epriestley created this task.
epriestley updated the task description. (Show Details)Sep 8 2018, 11:46 AM

The remaining work on the audit constants is:

  • Migrate stored searches (not technically required, but nice for completeness).
  • Change transaction values and migrate transactions.
  • Change object values and migrate objects.
  • Rename PhabricatorAuditCommitStatusConstants to PhabricatorAuditCommitStatus.
  • Get rid of the old constants.
  • Rename away the MODERN_ constant tags.
epriestley updated the task description. (Show Details)Sep 10 2018, 9:43 PM
epriestley updated the task description. (Show Details)Sep 11 2018, 3:06 PM
epriestley updated the task description. (Show Details)Sep 11 2018, 8:29 PM
epriestley updated the task description. (Show Details)Sep 14 2018, 5:01 PM
epriestley closed this task as Resolved.Sep 18 2018, 3:00 AM